This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 695674 - warning: dereferencing type-punned pointer will break strict-aliasing rules
warning: dereferencing type-punned pointer will break strict-aliasing rules
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xinetd (Show other bugs)
5.0
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Vojtech Vitek
qe-baseos-daemons
: Patch
Depends On:
Blocks: 697783
  Show dependency treegraph
 
Reported: 2011-04-12 07:46 EDT by Vojtech Vitek
Modified: 2015-03-04 18:57 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 697783 (view as bug list)
Environment:
Last Closed: 2011-05-25 04:38:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to fix the warning and possible corruption of the time_t variable (870 bytes, patch)
2011-04-12 07:49 EDT, Vojtech Vitek
no flags Details | Diff

  None (edit)
Description Vojtech Vitek 2011-04-12 07:46:39 EDT
There is *Testsuite regressions* detected in the xinetd package:

352  sensor.c: In function 'process_sensor':
353  sensor.c:110: warning: dereferencing type-punned pointer will break strict-aliasing rules

I will provide a patch in next comment.
Comment 1 Vojtech Vitek 2011-04-12 07:49:33 EDT
Created attachment 491463 [details]
Patch to fix the warning and possible corruption of the time_t variable
Comment 6 errata-xmlrpc 2011-05-25 04:38:54 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0827.html

Note You need to log in before you can comment on or make changes to this bug.